<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="DSMail" targetNamespace="http://tempuri.org/DSMail.xsd" xmlns:mstns="http://tempuri.org/DSMail.xsd" xmlns="http://tempuri.org/DSMail.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="gwcs" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="gwcs (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.FCM0000.Properties.Settings.GlobalReference.Default.gwcs" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MailFormTableAdapter" GeneratorDataComponentClassName="MailFormTableAdapter" Name="MailForm" UserDataComponentName="MailFormTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.MailForm" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [MailForm] WHERE (([idx] = @Original_idx) AND ([gcode] = @Original_gcode) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_title = 1 AND [title] IS NULL) OR ([title] = @Original_title)) AND ((@IsNull_selfTo = 1 AND [selfTo] IS NULL) OR ([selfTo] = @Original_selfTo)) AND ((@IsNull_selfCC = 1 AND [selfCC] IS NULL) OR ([selfCC] = @Original_selfCC)) AND ((@IsNull_selfBCC = 1 AND [selfBCC] IS NULL) OR ([selfBCC] = @Original_selfBCC)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_title" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_title" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfTo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfTo" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfCC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfBCC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfBCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [MailForm] ([gcode], [cate], [title], [tolist], [bcc], [cc], [subject], [tail], [body], [selfTo], [selfCC], [selfBCC], [wuid], [wdate], [exceptmail], [exceptmailcc]) VALUES (@gcode, @cate, @title, @tolist, @bcc, @cc, @subject, @tail, @body, @selfTo, @selfCC, @selfBCC, @wuid, @wdate, @exceptmail, @exceptmailcc);
SELECT idx, gcode, cate, title, tolist, bcc, cc, subject, tail, body, selfTo, selfCC, selfBCC, wuid, wdate, exceptmail, exceptmailcc FROM MailForm WHERE (idx = SCOPE_IDENTITY()) ORDER BY title</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@title" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tail" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfTo" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfBCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exceptmail" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exceptmail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exceptmailcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exceptmailcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, gcode, cate, title, tolist, bcc, cc, subject, tail, body, selfTo, selfCC, selfBCC, wuid, wdate, exceptmail, exceptmailcc
FROM     MailForm
WHERE  (gcode = @gcode)
ORDER BY title</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.MailForm" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [MailForm] SET [gcode] = @gcode, [cate] = @cate, [title] = @title, [tolist] = @tolist, [bcc] = @bcc, [cc] = @cc, [subject] = @subject, [tail] = @tail, [body] = @body, [selfTo] = @selfTo, [selfCC] = @selfCC, [selfBCC] = @selfBCC, [wuid] = @wuid, [wdate] = @wdate, [exceptmail] = @exceptmail, [exceptmailcc] = @exceptmailcc WHERE (([idx] = @Original_idx) AND ([gcode] = @Original_gcode) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_title = 1 AND [title] IS NULL) OR ([title] = @Original_title)) AND ((@IsNull_selfTo = 1 AND [selfTo] IS NULL) OR ([selfTo] = @Original_selfTo)) AND ((@IsNull_selfCC = 1 AND [selfCC] IS NULL) OR ([selfCC] = @Original_selfCC)) AND ((@IsNull_selfBCC = 1 AND [selfBCC] IS NULL) OR ([selfBCC] = @Original_selfBCC)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate));
SELECT idx, gcode, cate, title, tolist, bcc, cc, subject, tail, body, selfTo, selfCC, selfBCC, wuid, wdate, exceptmail, exceptmailcc FROM MailForm WHERE (idx = @idx) ORDER BY title</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@title" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tail" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfTo" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@selfBCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exceptmail" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exceptmail" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@exceptmailcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="exceptmailcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_title" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_title" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="title" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfTo" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfTo" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfTo" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfCC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfCC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_selfBCC" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_selfBCC" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="selfBCC" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="EE.dbo.MailForm" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="title" DataSetColumn="title" />
              <Mapping SourceColumn="tolist" DataSetColumn="tolist" />
              <Mapping SourceColumn="bcc" DataSetColumn="bcc" />
              <Mapping SourceColumn="cc" DataSetColumn="cc" />
              <Mapping SourceColumn="subject" DataSetColumn="subject" />
              <Mapping SourceColumn="tail" DataSetColumn="tail" />
              <Mapping SourceColumn="body" DataSetColumn="body" />
              <Mapping SourceColumn="selfTo" DataSetColumn="selfTo" />
              <Mapping SourceColumn="selfCC" DataSetColumn="selfCC" />
              <Mapping SourceColumn="selfBCC" DataSetColumn="selfBCC" />
              <Mapping SourceColumn="wuid" DataSetColumn="wuid" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="exceptmail" DataSetColumn="exceptmail" />
              <Mapping SourceColumn="exceptmailcc" DataSetColumn="exceptmailcc" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.MailForm" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByCate" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetByCate" GeneratorSourceName="FillByCate" GetMethodModifier="Public" GetMethodName="GetByCate" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetByCate" UserSourceName="FillByCate">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT bcc, body, cate, cc, exceptmail, exceptmailcc, gcode, idx, selfBCC, selfCC, selfTo, subject, tail, title, tolist, wdate, wuid FROM MailForm WHERE (gcode = @gcode) AND (cate = @cate) ORDER BY title</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.MailForm" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="cate" ColumnName="cate" DataSourceName="EE.dbo.MailForm" DataTypeServer="varchar(2)" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="2" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.MailForm" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByIdx" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetByIdx" GeneratorSourceName="FillByIdx" GetMethodModifier="Public" GetMethodName="GetByIdx" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetByIdx" UserSourceName="FillByIdx">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT bcc, body, cate, cc, exceptmail, exceptmailcc, gcode, idx, selfBCC, selfCC, selfTo, subject, tail, title, tolist, wdate, wuid FROM MailForm WHERE (gcode = @gcode) AND (idx = @idx) ORDER BY title</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.MailForm" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="EE.dbo.MailForm" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MailDataTableAdapter" GeneratorDataComponentClassName="MailDataTableAdapter" Name="MailData" UserDataComponentName="MailDataTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.MailData" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [MailData] WHERE (([idx] = @Original_idx) AND ((@IsNull_project = 1 AND [project] IS NULL) OR ([project] = @Original_project)) AND ([gcode] = @Original_gcode) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_pdate = 1 AND [pdate] IS NULL) OR ([pdate] = @Original_pdate)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate) AND ((@IsNull_SendOK = 1 AND [SendOK] IS NULL) OR ([SendOK] = @Original_SendOK)) AND ((@IsNull_SendMsg = 1 AND [SendMsg] IS NULL) OR ([SendMsg] = @Original_SendMsg)) AND ((@IsNull_aidx = 1 AND [aidx] IS NULL) OR ([aidx] = @Original_aidx)) AND ((@IsNull_atime = 1 AND [atime] IS NULL) OR ([atime] = @Original_atime)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SendOK" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_SendOK" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SendMsg" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SendMsg" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_atime" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_atime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [MailData] ([project], [gcode], [cate], [pdate], [subject], [tolist], [bcc], [cc], [body], [wuid], [wdate], [SendOK], [fromlist], [SendMsg], [aidx], [atime]) VALUES (@project, @gcode, @cate, @pdate, @subject, @tolist, @bcc, @cc, @body, @wuid, @wdate, @SendOK, @fromlist, @SendMsg, @aidx, @atime);
SELECT idx, project, gcode, cate, pdate, subject, tolist, bcc, cc, body, wuid, wdate, SendOK, fromlist, SendMsg, aidx, atime FROM MailData WHERE (idx = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@SendOK" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@fromlist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="fromlist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SendMsg" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@atime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, project, gcode, cate, pdate, subject, tolist, bcc, cc, body, wuid, wdate, SendOK, fromlist, SendMsg, aidx, atime
FROM     MailData
WHERE  (gcode = @gcode) AND (pdate BETWEEN @sd AND @ed) AND (ISNULL(cate, '') LIKE @cate)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.MailData" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="sd" ColumnName="pdate" DataSourceName="EE.dbo.MailData" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@sd" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ed" ColumnName="pdate" DataSourceName="EE.dbo.MailData" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@ed" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="cate" ColumnName="" DataSourceName="" DataTypeServer="unknown" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" Scale="0" Size="1024" SourceColumn="" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [MailData] SET [project] = @project, [gcode] = @gcode, [cate] = @cate, [pdate] = @pdate, [subject] = @subject, [tolist] = @tolist, [bcc] = @bcc, [cc] = @cc, [body] = @body, [wuid] = @wuid, [wdate] = @wdate, [SendOK] = @SendOK, [fromlist] = @fromlist, [SendMsg] = @SendMsg, [aidx] = @aidx, [atime] = @atime WHERE (([idx] = @Original_idx) AND ((@IsNull_project = 1 AND [project] IS NULL) OR ([project] = @Original_project)) AND ([gcode] = @Original_gcode) AND ((@IsNull_cate = 1 AND [cate] IS NULL) OR ([cate] = @Original_cate)) AND ((@IsNull_pdate = 1 AND [pdate] IS NULL) OR ([pdate] = @Original_pdate)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate) AND ((@IsNull_SendOK = 1 AND [SendOK] IS NULL) OR ([SendOK] = @Original_SendOK)) AND ((@IsNull_SendMsg = 1 AND [SendMsg] IS NULL) OR ([SendMsg] = @Original_SendMsg)) AND ((@IsNull_aidx = 1 AND [aidx] IS NULL) OR ([aidx] = @Original_aidx)) AND ((@IsNull_atime = 1 AND [atime] IS NULL) OR ([atime] = @Original_atime)));
SELECT idx, project, gcode, cate, pdate, subject, tolist, bcc, cc, body, wuid, wdate, SendOK, fromlist, SendMsg, aidx, atime FROM MailData WHERE (idx = @idx)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@SendOK" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@fromlist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="fromlist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@SendMsg" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@atime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_project" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="project" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_cate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_cate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_pdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_pdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="pdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SendOK" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_SendOK" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="SendOK" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SendMsg" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_SendMsg" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="SendMsg" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_aidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="aidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_atime" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_atime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="atime" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="EE.dbo.MailData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="project" DataSetColumn="project" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="cate" DataSetColumn="cate" />
              <Mapping SourceColumn="pdate" DataSetColumn="pdate" />
              <Mapping SourceColumn="subject" DataSetColumn="subject" />
              <Mapping SourceColumn="tolist" DataSetColumn="tolist" />
              <Mapping SourceColumn="bcc" DataSetColumn="bcc" />
              <Mapping SourceColumn="cc" DataSetColumn="cc" />
              <Mapping SourceColumn="body" DataSetColumn="body" />
              <Mapping SourceColumn="wuid" DataSetColumn="wuid" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="SendOK" DataSetColumn="SendOK" />
              <Mapping SourceColumn="fromlist" DataSetColumn="fromlist" />
              <Mapping SourceColumn="SendMsg" DataSetColumn="SendMsg" />
              <Mapping SourceColumn="aidx" DataSetColumn="aidx" />
              <Mapping SourceColumn="atime" DataSetColumn="atime" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MailAutoTableAdapter" GeneratorDataComponentClassName="MailAutoTableAdapter" Name="MailAuto" UserDataComponentName="MailAutoTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="gwcs (Settings)" DbObjectName="EE.dbo.MailAuto" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [MailAuto] WHERE (([idx] = @Original_idx) AND ((@IsNull_enable = 1 AND [enable] IS NULL) OR ([enable] = @Original_enable)) AND ([fidx] = @Original_fidx) AND ([gcode] = @Original_gcode) AND ((@IsNull_sdate = 1 AND [sdate] IS NULL) OR ([sdate] = @Original_sdate)) AND ((@IsNull_edate = 1 AND [edate] IS NULL) OR ([edate] = @Original_edate)) AND ((@IsNull_stime = 1 AND [stime] IS NULL) OR ([stime] = @Original_stime)) AND ((@IsNull_sday = 1 AND [sday] IS NULL) OR ([sday] = @Original_sday)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_enable" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_enable" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_fidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_edate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_stime" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_stime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sday" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@Original_sday" Precision="0" ProviderType="Binary" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [MailAuto] ([enable], [fidx], [gcode], [fromlist], [tolist], [bcc], [cc], [sdate], [edate], [stime], [sday], [wuid], [wdate], [subject], [body]) VALUES (@enable, @fidx, @gcode, @fromlist, @tolist, @bcc, @cc, @sdate, @edate, @stime, @sday, @wuid, @wdate, @subject, @body);
SELECT idx, enable, fidx, gcode, fromlist, tolist, bcc, cc, sdate, edate, stime, sday, wuid, wdate, subject, body FROM MailAuto WHERE (idx = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@enable" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@fidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@fromlist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="fromlist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@stime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@sday" Precision="0" ProviderType="Binary" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT  idx, enable, fidx, gcode, fromlist, tolist, bcc, cc, sdate, edate, stime, sday, wuid, wdate, subject, body
FROM     MailAuto
WHERE  (gcode = @gcode)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="gcode" ColumnName="gcode" DataSourceName="EE.dbo.MailAuto" DataTypeServer="varchar(10)" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="10" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [MailAuto] SET [enable] = @enable, [fidx] = @fidx, [gcode] = @gcode, [fromlist] = @fromlist, [tolist] = @tolist, [bcc] = @bcc, [cc] = @cc, [sdate] = @sdate, [edate] = @edate, [stime] = @stime, [sday] = @sday, [wuid] = @wuid, [wdate] = @wdate, [subject] = @subject, [body] = @body WHERE (([idx] = @Original_idx) AND ((@IsNull_enable = 1 AND [enable] IS NULL) OR ([enable] = @Original_enable)) AND ([fidx] = @Original_fidx) AND ([gcode] = @Original_gcode) AND ((@IsNull_sdate = 1 AND [sdate] IS NULL) OR ([sdate] = @Original_sdate)) AND ((@IsNull_edate = 1 AND [edate] IS NULL) OR ([edate] = @Original_edate)) AND ((@IsNull_stime = 1 AND [stime] IS NULL) OR ([stime] = @Original_stime)) AND ((@IsNull_sday = 1 AND [sday] IS NULL) OR ([sday] = @Original_sday)) AND ([wuid] = @Original_wuid) AND ([wdate] = @Original_wdate));
SELECT idx, enable, fidx, gcode, fromlist, tolist, bcc, cc, sdate, edate, stime, sday, wuid, wdate, subject, body FROM MailAuto WHERE (idx = @idx)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@enable" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@fidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fidx" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@fromlist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="fromlist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@tolist" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="tolist" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@bcc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="bcc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@cc" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="cc" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@stime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@sday" Precision="0" ProviderType="Binary" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@subject" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="subject" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@body" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="body" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_idx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_enable" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Boolean" Direction="Input" ParameterName="@Original_enable" Precision="0" ProviderType="Bit" Scale="0" Size="0" SourceColumn="enable" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_fidx" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="fidx" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_gcode" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="gcode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sdate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_sdate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="sdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_edate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_edate" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="edate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_stime" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_stime" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="stime" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_sday" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Binary" Direction="Input" ParameterName="@Original_sday" Precision="0" ProviderType="Binary" Scale="0" Size="0" SourceColumn="sday" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Original_wuid" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="wuid" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_wdate" Precision="0" ProviderType="SmallDateTime" Scale="0" Size="0" SourceColumn="wdate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="idx" ColumnName="idx" DataSourceName="EE.dbo.MailAuto" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@idx" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="idx" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idx" DataSetColumn="idx" />
              <Mapping SourceColumn="enable" DataSetColumn="enable" />
              <Mapping SourceColumn="fidx" DataSetColumn="fidx" />
              <Mapping SourceColumn="gcode" DataSetColumn="gcode" />
              <Mapping SourceColumn="fromlist" DataSetColumn="fromlist" />
              <Mapping SourceColumn="tolist" DataSetColumn="tolist" />
              <Mapping SourceColumn="bcc" DataSetColumn="bcc" />
              <Mapping SourceColumn="cc" DataSetColumn="cc" />
              <Mapping SourceColumn="sdate" DataSetColumn="sdate" />
              <Mapping SourceColumn="edate" DataSetColumn="edate" />
              <Mapping SourceColumn="stime" DataSetColumn="stime" />
              <Mapping SourceColumn="sday" DataSetColumn="sday" />
              <Mapping SourceColumn="wuid" DataSetColumn="wuid" />
              <Mapping SourceColumn="wdate" DataSetColumn="wdate" />
              <Mapping SourceColumn="subject" DataSetColumn="subject" />
              <Mapping SourceColumn="body" DataSetColumn="body" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="DSMail" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="DSMail" msprop:Generator_UserDSName="DSMail">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="MailForm" msprop:Generator_TableClassName="MailFormDataTable" msprop:Generator_TableVarName="tableMailForm" msprop:Generator_RowChangedName="MailFormRowChanged" msprop:Generator_TablePropName="MailForm" msprop:Generator_RowDeletingName="MailFormRowDeleting" msprop:Generator_RowChangingName="MailFormRowChanging" msprop:Generator_RowEvHandlerName="MailFormRowChangeEventHandler" msprop:Generator_RowDeletedName="MailFormRowDeleted" msprop:Generator_RowClassName="MailFormRow" msprop:Generator_UserTableName="MailForm" msprop:Generator_RowEvArgName="MailFormRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="gcode" msprop:Generator_ColumnVarNameInTable="columngcode" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_UserColumnName="gcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_ColumnVarNameInTable="columncate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_UserColumnName="cate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="title" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="title" msprop:Generator_ColumnVarNameInTable="columntitle" msprop:Generator_ColumnPropNameInTable="titleColumn" msprop:Generator_UserColumnName="title" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tolist" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="tolist" msprop:Generator_ColumnVarNameInTable="columntolist" msprop:Generator_ColumnPropNameInTable="tolistColumn" msprop:Generator_UserColumnName="tolist" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="bcc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="bcc" msprop:Generator_ColumnVarNameInTable="columnbcc" msprop:Generator_ColumnPropNameInTable="bccColumn" msprop:Generator_UserColumnName="bcc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cc" msprop:Generator_ColumnVarNameInTable="columncc" msprop:Generator_ColumnPropNameInTable="ccColumn" msprop:Generator_UserColumnName="cc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="subject" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="subject" msprop:Generator_ColumnVarNameInTable="columnsubject" msprop:Generator_ColumnPropNameInTable="subjectColumn" msprop:Generator_UserColumnName="subject" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tail" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="tail" msprop:Generator_ColumnVarNameInTable="columntail" msprop:Generator_ColumnPropNameInTable="tailColumn" msprop:Generator_UserColumnName="tail" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="body" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="body" msprop:Generator_ColumnVarNameInTable="columnbody" msprop:Generator_ColumnPropNameInTable="bodyColumn" msprop:Generator_UserColumnName="body" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="selfTo" msprop:Generator_ColumnVarNameInTable="columnselfTo" msprop:Generator_ColumnPropNameInRow="selfTo" msprop:Generator_ColumnPropNameInTable="selfToColumn" msprop:Generator_UserColumnName="selfTo" type="xs:boolean" minOccurs="0" />
              <xs:element name="selfCC" msprop:Generator_ColumnVarNameInTable="columnselfCC" msprop:Generator_ColumnPropNameInRow="selfCC" msprop:Generator_ColumnPropNameInTable="selfCCColumn" msprop:Generator_UserColumnName="selfCC" type="xs:boolean" minOccurs="0" />
              <xs:element name="selfBCC" msprop:Generator_ColumnVarNameInTable="columnselfBCC" msprop:Generator_ColumnPropNameInRow="selfBCC" msprop:Generator_ColumnPropNameInTable="selfBCCColumn" msprop:Generator_UserColumnName="selfBCC" type="xs:boolean" minOccurs="0" />
              <xs:element name="wuid" msprop:Generator_ColumnVarNameInTable="columnwuid" msprop:Generator_ColumnPropNameInRow="wuid" msprop:Generator_ColumnPropNameInTable="wuidColumn" msprop:Generator_UserColumnName="wuid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_UserColumnName="wdate" type="xs:dateTime" />
              <xs:element name="exceptmail" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="exceptmail" msprop:Generator_ColumnVarNameInTable="columnexceptmail" msprop:Generator_ColumnPropNameInTable="exceptmailColumn" msprop:Generator_UserColumnName="exceptmail" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="exceptmailcc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="exceptmailcc" msprop:Generator_ColumnVarNameInTable="columnexceptmailcc" msprop:Generator_ColumnPropNameInTable="exceptmailccColumn" msprop:Generator_UserColumnName="exceptmailcc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="MailData" msprop:Generator_TableClassName="MailDataDataTable" msprop:Generator_TableVarName="tableMailData" msprop:Generator_RowChangedName="MailDataRowChanged" msprop:Generator_TablePropName="MailData" msprop:Generator_RowDeletingName="MailDataRowDeleting" msprop:Generator_RowChangingName="MailDataRowChanging" msprop:Generator_RowEvHandlerName="MailDataRowChangeEventHandler" msprop:Generator_RowDeletedName="MailDataRowDeleted" msprop:Generator_RowClassName="MailDataRow" msprop:Generator_UserTableName="MailData" msprop:Generator_RowEvArgName="MailDataRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="project" msprop:Generator_ColumnVarNameInTable="columnproject" msprop:Generator_ColumnPropNameInRow="project" msprop:Generator_ColumnPropNameInTable="projectColumn" msprop:Generator_UserColumnName="project" type="xs:int" minOccurs="0" />
              <xs:element name="gcode" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_ColumnVarNameInTable="columngcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_UserColumnName="gcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cate" msprop:Generator_ColumnVarNameInTable="columncate" msprop:Generator_ColumnPropNameInTable="cateColumn" msprop:Generator_UserColumnName="cate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pdate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="pdate" msprop:Generator_ColumnVarNameInTable="columnpdate" msprop:Generator_ColumnPropNameInTable="pdateColumn" msprop:Generator_UserColumnName="pdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="subject" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="subject" msprop:Generator_ColumnVarNameInTable="columnsubject" msprop:Generator_ColumnPropNameInTable="subjectColumn" msprop:Generator_UserColumnName="subject" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tolist" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="tolist" msprop:Generator_ColumnVarNameInTable="columntolist" msprop:Generator_ColumnPropNameInTable="tolistColumn" msprop:Generator_UserColumnName="tolist" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="bcc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="bcc" msprop:Generator_ColumnVarNameInTable="columnbcc" msprop:Generator_ColumnPropNameInTable="bccColumn" msprop:Generator_UserColumnName="bcc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cc" msprop:Generator_ColumnVarNameInTable="columncc" msprop:Generator_ColumnPropNameInTable="ccColumn" msprop:Generator_UserColumnName="cc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="body" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="body" msprop:Generator_ColumnVarNameInTable="columnbody" msprop:Generator_ColumnPropNameInTable="bodyColumn" msprop:Generator_UserColumnName="body" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wuid" msprop:Generator_ColumnVarNameInTable="columnwuid" msprop:Generator_ColumnPropNameInRow="wuid" msprop:Generator_ColumnPropNameInTable="wuidColumn" msprop:Generator_UserColumnName="wuid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_UserColumnName="wdate" type="xs:dateTime" />
              <xs:element name="SendOK" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="SendOK" msprop:Generator_ColumnVarNameInTable="columnSendOK" msprop:Generator_ColumnPropNameInTable="SendOKColumn" msprop:Generator_UserColumnName="SendOK" type="xs:boolean" minOccurs="0" />
              <xs:element name="fromlist" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="fromlist" msprop:Generator_ColumnVarNameInTable="columnfromlist" msprop:Generator_ColumnPropNameInTable="fromlistColumn" msprop:Generator_UserColumnName="fromlist" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="SendMsg" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="SendMsg" msprop:Generator_ColumnVarNameInTable="columnSendMsg" msprop:Generator_ColumnPropNameInTable="SendMsgColumn" msprop:Generator_UserColumnName="SendMsg" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="aidx" msprop:nullValue="-1" msprop:Generator_ColumnPropNameInRow="aidx" msprop:Generator_ColumnVarNameInTable="columnaidx" msprop:Generator_ColumnPropNameInTable="aidxColumn" msprop:Generator_UserColumnName="aidx" type="xs:int" minOccurs="0" />
              <xs:element name="atime" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="atime" msprop:Generator_ColumnVarNameInTable="columnatime" msprop:Generator_ColumnPropNameInTable="atimeColumn" msprop:Generator_UserColumnName="atime" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="MailAuto" msprop:Generator_TableClassName="MailAutoDataTable" msprop:Generator_TableVarName="tableMailAuto" msprop:Generator_RowChangedName="MailAutoRowChanged" msprop:Generator_TablePropName="MailAuto" msprop:Generator_RowDeletingName="MailAutoRowDeleting" msprop:Generator_RowChangingName="MailAutoRowChanging" msprop:Generator_RowEvHandlerName="MailAutoRowChangeEventHandler" msprop:Generator_RowDeletedName="MailAutoRowDeleted" msprop:Generator_RowClassName="MailAutoRow" msprop:Generator_UserTableName="MailAuto" msprop:Generator_RowEvArgName="MailAutoRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idx" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidx" msprop:Generator_ColumnPropNameInRow="idx" msprop:Generator_ColumnPropNameInTable="idxColumn" msprop:Generator_UserColumnName="idx" type="xs:int" />
              <xs:element name="enable" msprop:nullValue="0" msprop:Generator_ColumnPropNameInRow="enable" msprop:Generator_ColumnVarNameInTable="columnenable" msprop:Generator_ColumnPropNameInTable="enableColumn" msprop:Generator_UserColumnName="enable" type="xs:boolean" minOccurs="0" />
              <xs:element name="fidx" msprop:nullValue="-1" msprop:Generator_ColumnPropNameInRow="fidx" msprop:Generator_ColumnVarNameInTable="columnfidx" msprop:Generator_ColumnPropNameInTable="fidxColumn" msprop:Generator_UserColumnName="fidx" type="xs:int" />
              <xs:element name="gcode" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="gcode" msprop:Generator_ColumnVarNameInTable="columngcode" msprop:Generator_ColumnPropNameInTable="gcodeColumn" msprop:Generator_UserColumnName="gcode">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="fromlist" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="fromlist" msprop:Generator_ColumnVarNameInTable="columnfromlist" msprop:Generator_ColumnPropNameInTable="fromlistColumn" msprop:Generator_UserColumnName="fromlist" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tolist" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="tolist" msprop:Generator_ColumnVarNameInTable="columntolist" msprop:Generator_ColumnPropNameInTable="tolistColumn" msprop:Generator_UserColumnName="tolist" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="bcc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="bcc" msprop:Generator_ColumnVarNameInTable="columnbcc" msprop:Generator_ColumnPropNameInTable="bccColumn" msprop:Generator_UserColumnName="bcc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cc" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="cc" msprop:Generator_ColumnVarNameInTable="columncc" msprop:Generator_ColumnPropNameInTable="ccColumn" msprop:Generator_UserColumnName="cc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sdate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="sdate" msprop:Generator_ColumnVarNameInTable="columnsdate" msprop:Generator_ColumnPropNameInTable="sdateColumn" msprop:Generator_UserColumnName="sdate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="edate" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="edate" msprop:Generator_ColumnVarNameInTable="columnedate" msprop:Generator_ColumnPropNameInTable="edateColumn" msprop:Generator_UserColumnName="edate" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="stime" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="stime" msprop:Generator_ColumnVarNameInTable="columnstime" msprop:Generator_ColumnPropNameInTable="stimeColumn" msprop:Generator_UserColumnName="stime" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sday" msprop:Generator_ColumnVarNameInTable="columnsday" msprop:Generator_ColumnPropNameInRow="sday" msprop:Generator_ColumnPropNameInTable="sdayColumn" msprop:Generator_UserColumnName="sday" type="xs:base64Binary" minOccurs="0" />
              <xs:element name="wuid" msprop:Generator_ColumnVarNameInTable="columnwuid" msprop:Generator_ColumnPropNameInRow="wuid" msprop:Generator_ColumnPropNameInTable="wuidColumn" msprop:Generator_UserColumnName="wuid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="wdate" msprop:Generator_ColumnVarNameInTable="columnwdate" msprop:Generator_ColumnPropNameInRow="wdate" msprop:Generator_ColumnPropNameInTable="wdateColumn" msprop:Generator_UserColumnName="wdate" type="xs:dateTime" />
              <xs:element name="subject" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="subject" msprop:Generator_ColumnVarNameInTable="columnsubject" msprop:Generator_ColumnPropNameInTable="subjectColumn" msprop:Generator_UserColumnName="subject" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="body" msprop:nullValue="_empty" msprop:Generator_ColumnPropNameInRow="body" msprop:Generator_ColumnVarNameInTable="columnbody" msprop:Generator_ColumnPropNameInTable="bodyColumn" msprop:Generator_UserColumnName="body" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:MailForm" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="MailData_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:MailData" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
    <xs:unique name="MailAuto_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:MailAuto" />
      <xs:field xpath="mstns:idx" />
    </xs:unique>
  </xs:element>
</xs:schema>